<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="com.vessel.app.wellness.model.GoalRate" />

        <variable
            name="viewModel"
            type="com.vessel.app.wellness.WellnessViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/parent"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.core.widget.NestedScrollView
            android:id="@+id/nestedScrollView"
            visible="@{viewModel.state.showLockedGoalsPlaceholder == false}"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:fillViewport="true"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/insideParent"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/rateYourGoalHeaderContainer"
                    visible="@{viewModel.state.showRateYourGoalHeader}"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/beige_color"
                    android:paddingBottom="@dimen/spacing_5xl"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:visibility="visible">

                    <TextView
                        android:id="@+id/rateYourGoalHeader"
                        style="@style/Title.Bold"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="@dimen/spacing_large"
                        android:layout_marginTop="@dimen/spacing_large"
                        android:gravity="center"
                        android:text="@string/rate_your_goals_while_you_wait"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/rateYourGoalHeaderSubtitle"
                        style="@style/Text.Small.LightColor"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="@dimen/spacing_large"
                        android:layout_marginTop="@dimen/spacing_2xl"
                        android:gravity="center"
                        android:text="@string/rate_your_goals_while_you_wait_subtitle"
                        android:textAlignment="center"
                        android:textSize="@dimen/font_xs"
                        android:textStyle="bold"
                        app:layout_constraintTop_toBottomOf="@id/rateYourGoalHeader"
                        tools:layout_editor_absoluteX="20dp" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/headerBg"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/wellness_header_height"
                    android:adjustViewBounds="true"
                    android:background="@color/colorPrimary"
                    android:scaleType="centerCrop"
                    android:src="@{viewModel.state.selectedGoal.image}"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/rateYourGoalHeaderContainer"
                    tools:ignore="ContentDescription"
                    tools:src="@drawable/goals_immunity" />

                <com.vessel.app.views.HeaderChartView
                    android:id="@+id/chart"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/wellness_chart_height"
                    android:layout_marginTop="@dimen/wellness_chart_margin_top"
                    android:layout_marginBottom="@dimen/spacing_4xl"
                    android:visibility="gone"
                    app:entrySelectionListener="@{viewModel}"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/rateYourGoalHeaderContainer"
                    tools:visibility="visible" />

                <com.vessel.app.wellness.ui.GoalsListWidget
                    android:id="@+id/goalList"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/goal_list_height"
                    android:layout_marginVertical="@dimen/spacing_xl"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/chart"
                    tools:listitem="@layout/item_goal_button" />

                <com.vessel.app.views.CutOutView
                    android:id="@+id/cutout"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/cutout_view_height"
                    app:layout_constraintBottom_toBottomOf="@id/headerBg"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent" />

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/goalRateContainer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:visibility="gone"
                    app:layout_constraintTop_toBottomOf="@id/cutout"
                    tools:visibility="visible">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/rateYourGoal"
                        style="@style/Title.Bold"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginVertical="@dimen/spacing_normal"
                        android:layout_marginStart="@dimen/spacing_normal"
                        android:text="@string/rate_your"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <RadioGroup
                        android:id="@+id/feelings"
                        style="@style/Text.Small"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="@dimen/spacing_small"
                        android:layout_marginTop="@dimen/spacing_large"
                        android:checkedButton="@{viewModel.state.selectedGoal.checkedRate}"
                        android:gravity="center_horizontal"
                        android:orientation="horizontal"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintHorizontal_bias="0"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/rateYourGoal">

                        <androidx.appcompat.widget.AppCompatRadioButton
                            android:id="@+id/sadFaceRadioButton"
                            android:layout_width="@dimen/goal_face_dimen"
                            android:layout_height="@dimen/goal_face_dimen"
                            android:layout_marginEnd="@dimen/spacing_small"
                            android:background="@drawable/sad_face_grey_selector"
                            android:button="@android:color/transparent"
                            android:enabled="@{viewModel.state.selectedGoal.enableGoalRateSelector}"
                            android:onClick="@{() -> viewModel.onRateClick(GoalRate.SAD, viewModel.state.selectedGoal)}" />

                        <androidx.appcompat.widget.AppCompatRadioButton
                            android:id="@+id/normalFaceRadioButton"
                            android:layout_width="@dimen/goal_face_dimen"
                            android:layout_height="@dimen/goal_face_dimen"
                            android:layout_marginHorizontal="@dimen/spacing_small"
                            android:background="@drawable/normal_face_grey_selector"
                            android:button="@android:color/transparent"
                            android:enabled="@{viewModel.state.selectedGoal.enableGoalRateSelector}"
                            android:onClick="@{() -> viewModel.onRateClick(GoalRate.MEH, viewModel.state.selectedGoal)}" />

                        <androidx.appcompat.widget.AppCompatRadioButton
                            android:id="@+id/happyFaceRadioButton"
                            android:layout_width="@dimen/goal_face_dimen"
                            android:layout_height="@dimen/goal_face_dimen"
                            android:layout_marginStart="@dimen/spacing_small"
                            android:background="@drawable/happy_face_grey_selector"
                            android:button="@android:color/transparent"
                            android:enabled="@{viewModel.state.selectedGoal.enableGoalRateSelector}"
                            android:onClick="@{() -> viewModel.onRateClick(GoalRate.HAPPY, viewModel.state.selectedGoal)}" />
                    </RadioGroup>

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/programsContainer"
                    visible="@{(viewModel.state.programsItems != null &amp;&amp; !viewModel.state.programsItems.empty) || viewModel.state.showProgramsLoading}"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/spacing_large"
                    android:paddingBottom="@dimen/spacing_2xl"
                    android:visibility="gone"
                    app:layout_constraintTop_toBottomOf="@id/goalRateContainer"
                    tools:visibility="visible">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/programsTitle"
                        style="@style/Title.Bold"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="@dimen/spacing_normal"
                        android:layout_marginTop="@dimen/spacing_normal"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:text="@string/programs_title" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/programsSubTitle"
                        style="@style/Subtitle"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="@dimen/spacing_normal"
                        android:layout_marginTop="@dimen/spacing_normal"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/programsTitle"
                        tools:text="@string/programs_sub_title" />

                    <ProgressBar
                        android:id="@+id/programsLoader"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:indeterminateTint="@color/darkText3"
                        android:paddingHorizontal="@dimen/spacing_small"
                        android:paddingVertical="@dimen/spacing_normal"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/programsSubTitle"
                        app:visible="@{viewModel.state.showProgramsLoading}"
                        tools:visibility="gone" />

                    <com.vessel.app.common.widget.ProgramCardWidget
                        android:id="@+id/programsWidget"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/spacing_3xl"
                        android:orientation="horizontal"
                        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/programsLoader"
                        app:visible="@{viewModel.state.programsItems != null &amp;&amp; !viewModel.state.programsItems.empty  &amp;&amp; !viewModel.state.showProgramsLoading}"
                        tools:itemCount="4"
                        tools:listitem="@layout/item_program" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/goalRecommendationsFilterContainer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/spacing_large"
                    android:paddingBottom="@dimen/spacing_2xl"
                    android:visibility="gone"
                    app:layout_constraintTop_toBottomOf="@id/programsContainer"
                    tools:visibility="visible">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/goalRecommendationsTitle"
                        style="@style/Title.Bold"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="@dimen/spacing_normal"
                        android:layout_marginTop="@dimen/spacing_normal"
                        app:layout_constraintEnd_toStartOf="@id/filterButton"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:text="@string/recommendations" />

                    <com.vessel.app.views.BlackFilterButtonViewGroup
                        android:id="@+id/filterButton"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/spacing_normal"
                        android:layout_marginEnd="@dimen/spacing_large"
                        android:onClick="@{(view) -> viewModel.onFilterButtonClick()}"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/filterSortList"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/spacing_small"
                        android:orientation="horizontal"
                        android:visibility="gone"
                        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/filterButton"
                        tools:itemCount="4"
                        tools:listitem="@layout/item_filter_selected" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <com.vessel.app.views.RecommendationListWithPagingWidget
                    android:id="@+id/recommendationList"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:fillViewport="true"
                    android:visibility="gone"
                    app:layout_constraintTop_toBottomOf="@id/goalRecommendationsFilterContainer"
                    tools:listitem="@layout/item_goal_button"
                    tools:visibility="visible" />

                <TextView
                    android:id="@+id/yourPlanFor"
                    style="@style/Title.Bold"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/spacing_normal"
                    android:layout_marginTop="@dimen/spacing_2xl"
                    android:visibility="gone"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/recommendationList"
                    tools:text="@string/your_plan_for"
                    tools:visibility="visible" />

                <com.vessel.app.views.BlackRoundedButtonGroup
                    android:id="@+id/viewYourPlanBtn"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/spacing_normal"
                    android:layout_marginTop="@dimen/spacing_normal"
                    android:onClick="@{() -> viewModel.onViewYourPlanClicked()}"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/yourPlanFor"
                    app:text="@{@string/view_your_plan}"
                    tools:background="@color/blackAlpha70"
                    tools:visibility="visible" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/testsThatAffectsGoal"
                    style="@style/Title.Bold"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/spacing_normal"
                    android:layout_marginTop="@dimen/spacing_6xl"
                    android:visibility="gone"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/viewYourPlanBtn"
                    tools:text="@string/tests_that_affects"
                    tools:visibility="visible" />

                <ImageView
                    android:id="@+id/testsThatAffectsGoalInfoIcon"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_marginStart="@dimen/spacing_normal"
                    android:onClick="@{(view) -> viewModel.onReagentInfoClick()}"
                    android:src="@drawable/ic_info"
                    android:visibility="gone"
                    app:layout_constraintBottom_toBottomOf="@id/testsThatAffectsGoal"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintHorizontal_bias="0"
                    app:layout_constraintStart_toEndOf="@+id/testsThatAffectsGoal"
                    app:layout_constraintTop_toTopOf="@id/testsThatAffectsGoal"
                    tools:visibility="visible" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/reagentList"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:nestedScrollingEnabled="false"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/testsThatAffectsGoal"
                    tools:itemCount="7"
                    tools:listitem="@layout/item_reagent" />

                <com.vessel.app.views.todayactivities.TodayActivitiesWidget
                    android:id="@+id/todayActivities"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/spacing_large"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/reagentList" />

                <ProgressBar
                    android:id="@+id/loadingSelectMainGoal"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginTop="@dimen/spacing_6xl"
                    app:layout_constraintTop_toBottomOf="@id/todayActivities"
                    android:visibility="gone"
                    tools:visibility="gone" />

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/selectMainGoalContainer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/spacing_6xl"
                    android:background="@color/colorPrimary"
                    android:padding="@dimen/spacing_2xl"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/todayActivities"
                    tools:visibility="visible">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/selectGoalTitle"
                        style="@style/Title.SemiBold"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:text="@string/choose_your_main_goal"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/selectGoalSubtitle"
                        style="@style/Text.Small"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/spacing_small"
                        android:text="@string/let_select_a_goal_to_focus_on_first"
                        android:textColor="@color/black"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/selectGoalTitle" />

                    <com.vessel.app.views.BlackRoundedButtonGroup
                        android:id="@+id/selectGoalButton"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/spacing_2xl"
                        android:onClick="@{() -> viewModel.onSelectGoalClicked()}"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/selectGoalSubtitle"
                        app:text="@{@string/select_goal}" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/selectProgramContainer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/spacing_6xl"
                    android:background="@color/colorPrimary"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/selectMainGoalContainer"
                    tools:visibility="visible">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:id="@+id/selectProgramIcon"
                        android:layout_width="@dimen/choose_program_image_width"
                        android:layout_height="0dp"
                        android:scaleType="fitEnd"
                        android:layout_marginTop="@dimen/spacing_3xs"
                        app:layout_constraintBottom_toTopOf="@id/selectProgramButton"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:src="@drawable/hand_card" />

                    <androidx.appcompat.widget.AppCompatImageView
                        android:id="@+id/selectProgramShadow"
                        android:layout_width="0dp"
                        android:layout_height="@dimen/spacing_xn"
                        android:scaleType="fitXY"
                        android:src="@drawable/program_image_bottom_gradient"
                        app:layout_constraintBottom_toBottomOf="@id/selectProgramIcon"
                        app:layout_constraintEnd_toEndOf="@id/selectProgramIcon"
                        app:layout_constraintStart_toStartOf="@id/selectProgramIcon" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/selectProgramTitle"
                        style="@style/Title.SemiBold"
                        android:layout_width="0dp"
                        android:layout_marginTop="@dimen/spacing_2xl"
                        android:layout_marginHorizontal="@dimen/spacing_2xl"
                        android:layout_height="wrap_content"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:text="@string/choose_your_program_template" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/selectProgramSubtitle"
                        style="@style/Text.Small"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="@dimen/spacing_2xl"
                        android:layout_marginTop="@dimen/spacing_small"
                        android:text="@string/home_choose_your_program_subtitle"
                        android:textColor="@color/black"
                        android:visibility="gone"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/selectProgramTitle" />

                    <com.vessel.app.views.BlackRoundedButtonGroup
                        android:id="@+id/selectProgramButton"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/spacing_7xl"
                        android:layout_marginHorizontal="@dimen/spacing_2xl"
                        android:layout_marginBottom="@dimen/spacing_2xl"
                        android:onClick="@{() -> viewModel.onChooseProgramClicked()}"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/selectProgramSubtitle"
                        app:text="@{@string/lets_do_this}" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <com.vessel.app.views.BlackRoundedButtonGroup
                    android:id="@+id/openProgramButton"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/spacing_3xl"
                    android:layout_marginTop="@dimen/spacing_6xl"
                    android:onClick="@{() -> viewModel.onViewYourPlanClicked()}"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/selectProgramContainer"
                    app:text="@{@string/view_program}"
                    tools:visibility="visible" />

                <androidx.constraintlayout.widget.Barrier
                    android:id="@+id/goalSelectionBarrier"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:barrierDirection="bottom"
                    app:constraint_referenced_ids="loadingSelectMainGoal, openProgramButton" />

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/footerContainer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_constraintTop_toBottomOf="@id/goalSelectionBarrier">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/customerSupport"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="@dimen/spacing_large"
                        android:layout_marginTop="@dimen/spacing_6xl"
                        android:background="@drawable/primary_background"
                        android:padding="@dimen/spacing_2xl"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/supportTitle"
                            style="@style/Title.SemiBold"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:text="@string/support_title"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <com.vessel.app.views.BlackRoundedButtonGroup
                            android:id="@+id/talkToNutritionistButton"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/spacing_2xl"
                            android:onClick="@{() -> viewModel.onTalkToNutritionistClick()}"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@id/supportTitle"
                            app:text="@{@string/nutritional_coaching_button}" />

                        <com.vessel.app.views.WhiteAppButtonViewGroup
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/spacing_large"
                            android:onClick="@{() -> viewModel.onCustomerSupportClick()}"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@id/talkToNutritionistButton"
                            app:text="@{@string/customer_support}"
                            tools:background="@color/whiteAlpha70" />
                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/commitment"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="@dimen/spacing_large"
                        android:layout_marginVertical="@dimen/spacing_4xl"
                        android:background="@drawable/linen_background"
                        android:padding="@dimen/spacing_2xl"
                        app:layout_constraintBottom_toTopOf="@id/disclaimerFooter"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/customerSupport"
                        app:visible="@{viewModel.state.showBottomDisclaimer}">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/beaker"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            app:srcCompat="@drawable/beaker" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/commitmentTitle"
                            style="@style/Title.SemiBold"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/spacing_normal"
                            android:layout_marginTop="@dimen/spacing_small"
                            android:text="@string/commitment_title"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toEndOf="@id/beaker"
                            app:layout_constraintTop_toTopOf="@id/beaker" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/commitmentMessage"
                            style="@style/Text.Small"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/spacing_xl"
                            android:text="@string/commitment_message"
                            android:textColor="@color/grayMist"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@id/commitmentTitle" />

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/drLarsonPortrait"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/spacing_2xl"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@id/commitmentMessage"
                            app:srcCompat="@drawable/dr_larson_portrait" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/drLarsonName"
                            style="@style/Label.Large"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/spacing_normal"
                            android:text="@string/dave_larson"
                            app:layout_constraintBottom_toTopOf="@id/drLarsonTitle"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toEndOf="@id/drLarsonPortrait"
                            app:layout_constraintTop_toTopOf="@id/drLarsonPortrait"
                            app:textAllCaps="false" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/drLarsonTitle"
                            style="@style/Text.XS"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/spacing_2xs"
                            android:text="@string/dave_larson_title"
                            android:textColor="@color/black"
                            app:layout_constraintBottom_toBottomOf="@id/drLarsonPortrait"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="@id/drLarsonName"
                            app:layout_constraintTop_toBottomOf="@id/drLarsonName" />
                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <include
                        android:id="@+id/disclaimerFooter"
                        layout="@layout/disclaimer_footer"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/commitment"
                        app:layout_constraintVertical_bias="1"
                        app:paddingBottomVisible="@{true}"
                        app:visible="@{viewModel.state.showBottomDisclaimer}" />
                </androidx.constraintlayout.widget.ConstraintLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.core.widget.NestedScrollView>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/stickyGoalRecommendationsFilterContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/whiteAlpha90"
            android:paddingBottom="@dimen/spacing_2xl"
            app:layout_constraintTop_toTopOf="parent"
            app:visible="@{viewModel.state.showStickyGoalRecommendationsFilterContainer == true}"
            tools:visibility="gone">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/stickyGoalRecommendationsTitle"
                style="@style/Title.Bold"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/spacing_normal"
                android:layout_marginTop="@dimen/spacing_normal"
                app:layout_constraintEnd_toStartOf="@id/stickyFilterButton"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="@string/recommendations" />

            <com.vessel.app.views.BlackFilterButtonViewGroup
                android:id="@+id/stickyFilterButton"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/spacing_normal"
                android:layout_marginEnd="@dimen/spacing_large"
                android:onClick="@{(view) -> viewModel.onFilterButtonClick()}"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <include
            android:id="@+id/loadingLayout"
            layout="@layout/layout_full_screen_loading_transparent"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:visible="@{viewModel.isLoading}"
            tools:visibility="gone" />

        <include
            android:id="@+id/lockedGoals"
            layout="@layout/locked_goals_layout"
            visible="@{viewModel.state.showLockedGoalsPlaceholder}"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            tools:visibility="gone" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
